searchData={"items":[{"type":"module","title":"CredoMox.Checks.UnverifiedMox","doc":"","ref":"CredoMox.Checks.UnverifiedMox.html"},{"type":"module","title":"Basics - CredoMox.Checks.UnverifiedMox","doc":"> #### This check is disabled by default. {: .neutral}\n>\n> [Learn how to enable it](config_file.html#checks) via `.credo.exs`.\n\n\n\nThis check has a base priority of `high` and works with any version of Elixir.","ref":"CredoMox.Checks.UnverifiedMox.html#module-basics"},{"type":"module","title":"Explanation - CredoMox.Checks.UnverifiedMox","doc":":verify_on_exit! for tests that need Mock","ref":"CredoMox.Checks.UnverifiedMox.html#module-explanation"},{"type":"module","title":"Check-Specific Parameters - CredoMox.Checks.UnverifiedMox","doc":"*There are no specific parameters for this check.*","ref":"CredoMox.Checks.UnverifiedMox.html#module-check-specific-parameters"},{"type":"module","title":"General Parameters - CredoMox.Checks.UnverifiedMox","doc":"Like with all checks, [general params](check_params.html) can be applied.\n\nParameters can be configured via the [`.credo.exs` config file](config_file.html).","ref":"CredoMox.Checks.UnverifiedMox.html#module-general-parameters"},{"type":"function","title":"CredoMox.Checks.UnverifiedMox.run/2","doc":"Inspects test files for the use of `Mox.expect/4` where the expectations being made are unverified. If unverified expectations are found, this check will flag the test file as an issue.\nThe offending file will be displayed in the resulting issue when running `mix credo --strict`, and the line number indicated in the issue will point to the first use of `expect` in that file where the expectation has not been verified.","ref":"CredoMox.Checks.UnverifiedMox.html#run/2"},{"type":"extras","title":"CredoMox","doc":"# CredoMox\n\nCredo Checks for the Mox library.\n\nProvides a Credo check that ensures tests that have imported Mox and use the `expect` function\nare verifying those expectations. See the `CredoMox.UnverifiedMox` module for more details.","ref":"readme.html"},{"type":"extras","title":"Usage - CredoMox","doc":"To add the `CredoMox.Checks.UnverifiedMox` check to your Credo configuration, in your `.credo.exs` file\nadd the `UnverifiedMox` module to your checks and configure it to only include test files:\n\n```elixir\n# ... .credo.exs\n  checks: [","ref":"readme.html#usage"},{"type":"extras","title":"other Credo checks... - CredoMox","doc":"{CredoMox.Checks.UnverifiedMocks, files: %{included: [\"**/*_test.exs\"]}},\n  ]\n```","ref":"readme.html#other-credo-checks"},{"type":"extras","title":"Installation - CredoMox","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `credo_mox` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:credo_mox, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}